PLplot: plstream Class Reference

PLplot 5.15.0

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
plstream Class Reference

`#include "plstream.h"`

Inheritance diagram for plstream:

## Public Member Functions
| plstream (void)
| plstream (plstream *pls)
| plstream (PLS::stream_id sid, PLINT strm=0)
| plstream (PLINT _stream)
| plstream (PLINT nx, PLINT ny, const char *driver=NULL, const char *file=NULL)
| plstream (PLINT nx, PLINT ny, PLINT r, PLINT g, PLINT b, const char *driver=NULL, const char *file=NULL)
virtual | ~plstream (void)
void | adv (PLINT page)
void | arc (PLFLT x, PLFLT y, PLFLT a, PLFLT b, PLFLT angle1, PLFLT angle2, PLFLT rotate, PLBOOL fill)
void | vect (const PLFLT *const *u, const PLFLT *const *v, PLINT nx, PLINT ny, PLFLT scale, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | svect (const PLFLT *arrow_x=NULL, const PLFLT *arrow_y=NULL, PLINT npts=0, bool fill=false)
void | axes (PLFLT x0, PLFLT y0, const char *xopt, PLFLT xtick, PLINT nxsub, const char *yopt, PLFLT ytick, PLINT nysub)
void | bin (PLINT nbin, const PLFLT *x, const PLFLT *y, PLINT center)
void | bop (void)
void | box (const char *xopt, PLFLT xtick, PLINT nxsub, const char *yopt, PLFLT ytick, PLINT nysub)
void | box3 (const char *xopt, const char *xlabel, PLFLT xtick, PLINT nsubx, const char *yopt, const char *ylabel, PLFLT ytick, PLINT nsuby, const char *zopt, const char *zlabel, PLFLT ztick, PLINT nsubz)
void | btime (PLINT &year, PLINT &month, PLINT &day, PLINT &hour, PLINT &min, PLFLT &sec, PLFLT ctime)
void | calc_world (PLFLT rx, PLFLT ry, PLFLT &wx, PLFLT &wy, PLINT &window)
void | clear (void)
void | col0 (PLINT icol0)
void | col (PLcolor c)
void | col1 (PLFLT c)
void | configtime (PLFLT scale, PLFLT offset1, PLFLT offset2, PLINT ccontrol, PLBOOL ifbtime_offset, PLINT year, PLINT month, PLINT day, PLINT hour, PLINT min, PLFLT sec)
void | cont (const PLFLT *const *f, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, const PLFLT *clevel, PLINT nlevel, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | fcont (PLFLT(*f2eval)(PLINT, PLINT, PLPointer), PLPointer f2eval_data, PLINT nx, PLINT ny, PLINT kx, PLINT lx, PLINT ky, PLINT ly, const PLFLT *clevel, PLINT nlevel, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | cpstrm (plstream &pls, bool flags)
void | ctime (PLINT year, PLINT month, PLINT day, PLINT hour, PLINT min, PLFLT sec, PLFLT &ctime)
void | did2pc (PLFLT &xmin, PLFLT &ymin, PLFLT &xmax, PLFLT &ymax)
void | dip2dc (PLFLT &xmin, PLFLT &ymin, PLFLT &xmax, PLFLT &ymax)
void | env (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLINT just, PLINT axis)
void | env0 (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLINT just, PLINT axis)
void | eop (void)
void | errx (PLINT n, const PLFLT *xmin, const PLFLT *xmax, const PLFLT *y)
void | erry (PLINT n, const PLFLT *x, const PLFLT *ymin, const PLFLT *ymax)
void | famadv (void)
void | fill (PLINT n, const PLFLT *x, const PLFLT *y)
void | fill3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z)
void | flush (void)
void | font (PLINT ifont)
void | fontld (PLINT fnt)
void | gchr (PLFLT &p_def, PLFLT &p_ht)
void | gcol0 (PLINT icol0, PLINT &r, PLINT &g, PLINT &b)
void | gcol0a (PLINT icol0, PLINT &r, PLINT &g, PLINT &b, PLFLT &a)
void | gcolbg (PLINT &r, PLINT &g, PLINT &b)
void | gcolbga (PLINT &r, PLINT &g, PLINT &b, PLFLT &a)
void | gcompression (PLINT &compression)
void | gdidev (PLFLT &mar, PLFLT &aspect, PLFLT &jx, PLFLT &jy)
void | gdiori (PLFLT &rot)
void | gdiplt (PLFLT &xmin, PLFLT &ymin, PLFLT &xmax, PLFLT &ymax)
void | gfci (PLUNICODE &pfci)
void | gfam (PLINT &fam, PLINT &num, PLINT &bmax)
void | gfnam (char *fnam)
void | gfont (PLINT &family, PLINT &style, PLINT &weight)
void | glevel (PLINT &p_level)
void | gpage (PLFLT &xp, PLFLT &yp, PLINT &xleng, PLINT &yleng, PLINT &xoff, PLINT &yoff)
void | gra (void)
void | gradient (PLINT n, const PLFLT *x, const PLFLT *y, PLFLT angle)
void | griddata (const PLFLT *x, const PLFLT *y, const PLFLT *z, PLINT npts, const PLFLT *xg, PLINT nptsx, const PLFLT *yg, PLINT nptsy, PLFLT **zg, PLINT type, PLFLT data)
void | gspa (PLFLT &xmin, PLFLT &xmax, PLFLT &ymin, PLFLT &ymax)
void | gver (char *p_ver)
void | gvpd (PLFLT &xmin, PLFLT &xmax, PLFLT &ymin, PLFLT &ymax)
void | gvpw (PLFLT &xmin, PLFLT &xmax, PLFLT &ymin, PLFLT &ymax)
void | gxax (PLINT &digmax, PLINT &digits)
void | gyax (PLINT &digmax, PLINT &digits)
void | gzax (PLINT &digmax, PLINT &digits)
void | hist (PLINT n, const PLFLT *data, PLFLT datmin, PLFLT datmax, PLINT nbin, PLINT oldwin)
void | init (void)
void | join (PLFLT x1, PLFLT y1, PLFLT x2, PLFLT y2)
void | lab (const char *xlabel, const char *ylabel, const char *tlabel)
void | legend (PLFLT *p_legend_width, PLFLT *p_legend_height, PLINT opt, PLINT position, PLFLT x, PLFLT y, PLFLT plot_width, PLINT bg_color, PLINT bb_color, PLINT bb_style, PLINT nrow, PLINT ncolumn, PLINT nlegend, const PLINT *opt_array, PLFLT text_offset, PLFLT text_scale, PLFLT text_spacing, PLFLT text_justification, const PLINT *text_colors, const char *const *text, const PLINT *box_colors, const PLINT *box_patterns, const PLFLT *box_scales, const PLFLT *box_line_widths, const PLINT *line_colors, const PLINT *line_styles, const PLFLT *line_widths, const PLINT *symbol_colors, const PLFLT *symbol_scales, const PLINT *symbol_numbers, const char *const *symbols)
void | colorbar (PLFLT *p_colorbar_width, PLFLT *p_colorbar_height, PLINT opt, PLINT position, PLFLT x, PLFLT y, PLFLT x_length, PLFLT y_length, PLINT bg_color, PLINT bb_color, PLINT bb_style, PLFLT low_cap_color, PLFLT high_cap_color, PLINT cont_color, PLFLT cont_width, PLINT n_labels, PLINT *label_opts, const char *const *label, PLINT n_axes, const char *const *axis_opts, PLFLT *ticks, PLINT *sub_ticks, PLINT *n_values, const PLFLT *const *values)
void | lightsource (PLFLT x, PLFLT y, PLFLT z)
void | line (PLINT n, const PLFLT *x, const PLFLT *y)
void | line3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z)
void | lsty (PLINT lin)
void | map (PLMAPFORM_callback mapform, const char *name, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy)
void | mapline (PLMAPFORM_callback mapform, const char *name, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, const PLINT *plotentries, PLINT nplotentries)
void | mapstring (PLMAPFORM_callback mapform, const char *name, const char *string, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, const PLINT *plotentries, PLINT nplotentries)
void | maptex (PLMAPFORM_callback mapform, const char *name, PLFLT dx, PLFLT dy, PLFLT just, const char *text, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, PLINT plotentry)
void | mapfill (PLMAPFORM_callback mapform, const char *name, PLFLT minx, PLFLT maxx, PLFLT miny, PLFLT maxy, const PLINT *plotentries, PLINT nplotentries)
void | meridians (PLMAPFORM_callback mapform, PLFLT dlong, PLFLT dlat, PLFLT minlong, PLFLT maxlong, PLFLT minlat, PLFLT maxlat)
void | mesh (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt)
void | meshc (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel)
void | mtex (const char *side, PLFLT disp, PLFLT pos, PLFLT just, const char *text)
void | mtex3 (const char *side, PLFLT disp, PLFLT pos, PLFLT just, const char *text)
void | plot3d (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, bool side)
void | plot3dc (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel)
void | plot3dcl (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel, PLINT ixstart, PLINT ixn, const PLINT *indexymin, const PLINT *indexymax)
void | surf3d (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel)
void | surf3dl (const PLFLT *x, const PLFLT *y, const PLFLT *const *z, PLINT nx, PLINT ny, PLINT opt, const PLFLT *clevel, PLINT nlevel, PLINT ixstart, PLINT ixn, const PLINT *indexymin, const PLINT *indexymax)
PLINT | parseopts (int *p_argc, char **argv, PLINT mode)
void | pat (PLINT nlin, const PLINT *inc, const PLINT *del)
void | path (PLINT n, PLFLT x1, PLFLT y1, PLFLT x2, PLFLT y2)
void | poin (PLINT n, const PLFLT *x, const PLFLT *y, PLINT code)
void | poin3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z, PLINT code)
void | poly3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z, const bool *draw, bool ifcc)
void | prec (PLINT setp, PLINT prec)
void | psty (PLINT patt)
void | ptex (PLFLT x, PLFLT y, PLFLT dx, PLFLT dy, PLFLT just, const char *text)
void | ptex3 (PLFLT wx, PLFLT wy, PLFLT wz, PLFLT dx, PLFLT dy, PLFLT dz, PLFLT sx, PLFLT sy, PLFLT sz, PLFLT just, const char *text)
PLINT | translatecursor (PLGraphicsIn *gin)
void | replot (void)
void | schr (PLFLT def, PLFLT scale)
void | scmap0n (PLINT ncol0)
void | scmap1n (PLINT ncol1)
void | scmap1_range (PLFLT min_color, PLFLT max_color)
void | gcmap1_range (PLFLT &min_color, PLFLT &max_color)
void | scmap0 (const PLINT *r, const PLINT *g, const PLINT *b, PLINT ncol0)
void | scmap0a (const PLINT *r, const PLINT *g, const PLINT *b, const PLFLT *a, PLINT ncol0)
void | scmap1 (const PLINT *r, const PLINT *g, const PLINT *b, PLINT ncol1)
void | scmap1a (const PLINT *r, const PLINT *g, const PLINT *b, const PLFLT *a, PLINT ncol1)
void | scmap1l (bool itype, PLINT npts, const PLFLT *intensity, const PLFLT *coord1, const PLFLT *coord2, const PLFLT *coord3, const bool *alt_hue_path=NULL)
void | scmap1la (bool itype, PLINT npts, const PLFLT *intensity, const PLFLT *coord1, const PLFLT *coord2, const PLFLT *coord3, const PLFLT *a, const bool *alt_hue_path=NULL)
void | scol0 (PLINT icol0, PLINT r, PLINT g, PLINT b)
void | scol0a (PLINT icol0, PLINT r, PLINT g, PLINT b, PLFLT a)
void | scolbg (PLINT r, PLINT g, PLINT b)
void | scolbga (PLINT r, PLINT g, PLINT b, PLFLT a)
void | scolor (PLINT color)
void | scompression (PLINT compression)
void | sdev (const char *devname)
void | gdev (char *devname)
void | sdidev (PLFLT mar, PLFLT aspect, PLFLT jx, PLFLT jy)
void | sdimap (PLINT dimxmin, PLINT dimxmax, PLINT dimymin, PLINT dimymax, PLFLT dimxpmm, PLFLT dimypmm)
void | sdiori (PLFLT rot)
void | sdiplt (PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
void | sdiplz (PLFLT xmin, PLFLT ymin, PLFLT xmax, PLFLT ymax)
void | sesc (char esc)
void | setcontlabelparam (PLFLT offset, PLFLT size, PLFLT spacing, PLINT active)
void | setcontlabelformat (PLINT lexp, PLINT sigdig)
void | sfam (PLINT fam, PLINT num, PLINT bmax)
void | sfci (PLUNICODE fci)
void | sfnam (const char *fnam)
void | sdevdata (void *data)
void | sfont (PLINT family, PLINT style, PLINT weight)
void | shade (const PLFLT *const *a, PLINT nx, PLINT ny, PLDEFINED_callback defined, PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLFLT sh_width, PLINT min_color, PLFLT min_width, PLINT max_color, PLFLT max_width, PLFILL_callback fill, bool rectangular, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | shades (const PLFLT *const *a, PLINT nx, PLINT ny, PLDEFINED_callback defined, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, const PLFLT *clevel, PLINT nlevel, PLFLT fill_width, PLINT cont_color, PLFLT cont_width, PLFILL_callback fill, bool rectangular, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | shade (Contourable_Data &d, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLFLT sh_width, PLINT min_color, PLFLT min_width, PLINT max_color, PLFLT max_width, bool rectangular, Coord_Xformer *pcxf)
void | fshade (PLFLT(*f2eval)(PLINT, PLINT, PLPointer), PLPointer f2eval_data, PLFLT(*c2eval)(PLINT, PLINT, PLPointer), PLPointer c2eval_data, PLINT nx, PLINT ny, PLFLT left, PLFLT right, PLFLT bottom, PLFLT top, PLFLT shade_min, PLFLT shade_max, PLINT sh_cmap, PLFLT sh_color, PLFLT sh_width, PLINT min_color, PLFLT min_width, PLINT max_color, PLFLT max_width, PLFILL_callback fill, bool rectangular, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | slabelfunc (PLLABEL_FUNC_callback label_func, PLPointer label_data)
void | smaj (PLFLT def, PLFLT scale)
void | smem (PLINT maxx, PLINT maxy, void *plotmem)
void | smema (PLINT maxx, PLINT maxy, void *plotmem)
void | smin (PLFLT def, PLFLT scale)
void | sori (PLINT ori)
void | spage (PLFLT xp, PLFLT yp, PLINT xleng, PLINT yleng, PLINT xoff, PLINT yoff)
void | spause (bool pause)
void | spal0 (const char *filename)
void | spal1 (const char *filename, bool interpolate=true)
void | sstrm (PLINT strm)
void | ssub (PLINT nx, PLINT ny)
void | ssym (PLFLT def, PLFLT scale)
void | star (PLINT nx, PLINT ny)
void | start (const char *devname, PLINT nx, PLINT ny)
void | stransform (PLTRANSFORM_callback coordinate_transform, PLPointer coordinate_transform_data)
void | string (PLINT n, const PLFLT *x, const PLFLT *y, const char *string)
void | string3 (PLINT n, const PLFLT *x, const PLFLT *y, const PLFLT *z, const char *string)
void | stripc (PLINT *id, const char *xspec, const char *yspec, PLFLT xmin, PLFLT xmax, PLFLT xjump, PLFLT ymin, PLFLT ymax, PLFLT xlpos, PLFLT ylpos, bool y_ascl, bool acc, PLINT colbox, PLINT collab, const PLINT colline[], const PLINT styline[], const char *legline[], const char *labx, const char *laby, const char *labtop)
void | stripa (PLINT id, PLINT pen, PLFLT x, PLFLT y)
void | stripd (PLINT id)
void | image (const PLFLT *const *data, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT Dxmin, PLFLT Dxmax, PLFLT Dymin, PLFLT Dymax)
void | imagefr (const PLFLT *const *data, PLINT nx, PLINT ny, PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT zmin, PLFLT zmax, PLFLT valuemin, PLFLT valuemax, PLTRANSFORM_callback pltr, PLPointer pltr_data)
void | styl (PLINT nms, const PLINT *mark, const PLINT *space)
void | svpa (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax)
void | sxax (PLINT digmax, PLINT digits)
void | sxwin (PLINT window_id)
void | syax (PLINT digmax, PLINT digits)
void | sym (PLINT n, const PLFLT *x, const PLFLT *y, PLINT code)
void | szax (PLINT digmax, PLINT digits)
void | text (void)
void | timefmt (const char *fmt)
void | vasp (PLFLT aspect)
void | vpas (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax, PLFLT aspect)
void | vpor (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax)
void | vsta (void)
void | w3d (PLFLT basex, PLFLT basey, PLFLT height, PLFLT xmin0, PLFLT xmax0, PLFLT ymin0, PLFLT ymax0, PLFLT zmin0, PLFLT zmax0, PLFLT alt, PLFLT az)
void | width (PLFLT width)
void | wind (PLFLT xmin, PLFLT xmax, PLFLT ymin, PLFLT ymax)
void | xormod (bool mode, bool *status)
void | seed (unsigned int s)
PLFLT | randd (void)
void | gFileDevs (const char ***p_menustr, const char ***p_devname, int *p_ndev)
void | sKeyEH (void(*KeyEH)(PLGraphicsIn *, void *, int *), void *KeyEH_data)
void | sbopH (void(*handler)(void *, int *), void *handlier_data)
void | seopH (void(*handler)(void *, int *), void *handlier_data)
void | sError (PLINT *errcode, char *errmsg)
void | sexit (int(*handler)(const char *))
PLFLT | f2eval2 (PLINT ix, PLINT iy, PLPointer plf2eval_data)
PLFLT | f2eval (PLINT ix, PLINT iy, PLPointer plf2eval_data)
PLFLT | f2evalr (PLINT ix, PLINT iy, PLPointer plf2eval_data)
void | ClearOpts (void)
void | ResetOpts (void)
PLINT | MergeOpts (PLOptionTable *options, const char *name, const char **notes)
void | SetUsage (char *program_string, char *usage_string)
PLINT | setopt (const char *opt, const char *optarg)
int | SetOpt (const char *opt, const char *optarg)
void | OptUsage (void)
void | gfile (FILE **p_file)
void | sfile (FILE *file)
void | gesc (char *p_esc)
void | cmd (PLINT op, void *ptr)
PLINT | FindName (char *p)
char * | FindCommand (char *fn)
void | GetName (char *dir, char *subdir, char *filename, char **filespec)
PLINT | GetInt (char *s)
PLFLT | GetFlt (char *s)
void | Static2dGrid (PLFLT_NC_MATRIX zIliffe, PLFLT_VECTOR zStatic, PLINT nx, PLINT ny)
void | Alloc2dGrid (PLFLT_NC_MATRIX *f, PLINT nx, PLINT ny)
void | Free2dGrid (PLFLT **f, PLINT nx, PLINT ny)
void | MinMax2dGrid (PLFLT_MATRIX f, PLINT nx, PLINT ny, PLFLT *fmax, PLFLT *fmin)
void | hlsrgb (PLFLT h, PLFLT l, PLFLT s, PLFLT *p_r, PLFLT *p_g, PLFLT *p_b)
void | rgbhls (PLFLT r, PLFLT g, PLFLT b, PLFLT *p_h, PLFLT *p_l, PLFLT *p_s)
PLINT | GetCursor (PLGraphicsIn *plg)

## Protected Member Functions
virtual void | set_stream (void)

## Private Member Functions
| plstream (const plstream &)
plstream & | operator= (const plstream &)

## Private Attributes
PLINT | stream

## Static Private Attributes
static PLINT | active_streams = 0

## Detailed Description

Definition at line 121 of file plstream.h.

## Constructor & Destructor Documentation

## ◆ plstream() [1/7]

plstream::plstream | ( | const plstream & |  | ) |
| private

## ◆ plstream() [2/7]

plstream::plstream | ( | void |  | ) |

Definition at line 289 of file plstream.cc.

## ◆ plstream() [3/7]

plstream::plstream | ( | plstream * | pls | ) |

## ◆ plstream() [4/7]

plstream::plstream | ( | PLS::stream_id | sid,
|  | PLINT | strm = `0`
| ) |  |

Definition at line 296 of file plstream.cc.

## ◆ plstream() [5/7]

plstream::plstream | ( | PLINT | _stream | ) |
| inline

Definition at line 139 of file plstream.h.

## ◆ plstream() [6/7]

plstream::plstream | ( | PLINT | nx,
|  | PLINT | ny,
|  | const char * | driver = `NULL`,
|  | const char * | file = `NULL`
| ) |  |

Definition at line 318 of file plstream.cc.

## ◆ plstream() [7/7]

plstream::plstream | ( | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | r,
|  | PLINT | g,
|  | PLINT | b,
|  | const char * | driver = `NULL`,
|  | const char * | file = `NULL`
| ) |  |

Definition at line 332 of file plstream.cc.

## ◆ ~plstream()

plstream::~plstream | ( | void |  | ) |
| virtual

Definition at line 348 of file plstream.cc.

## Member Function Documentation

## ◆ adv()

void plstream::adv | ( | PLINT | page | ) |

Definition at line 365 of file plstream.cc.

## ◆ Alloc2dGrid()

void plstream::Alloc2dGrid | ( | PLFLT_NC_MATRIX * | f,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 2550 of file plstream.cc.

## ◆ arc()

void plstream::arc | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | a,
|  | PLFLT | b,
|  | PLFLT | angle1,
|  | PLFLT | angle2,
|  | PLFLT | rotate,
|  | PLBOOL | fill
| ) |  |

Definition at line 373 of file plstream.cc.

## ◆ axes()

void plstream::axes | ( | PLFLT | x0,
|  | PLFLT | y0,
|  | const char * | xopt,
|  | PLFLT | xtick,
|  | PLINT | nxsub,
|  | const char * | yopt,
|  | PLFLT | ytick,
|  | PLINT | nysub
| ) |  |

Definition at line 402 of file plstream.cc.

## ◆ bin()

void plstream::bin | ( | PLINT | nbin,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | PLINT | center
| ) |  |

Definition at line 412 of file plstream.cc.

## ◆ bop()

void plstream::bop | ( | void |  | ) |

Definition at line 421 of file plstream.cc.

## ◆ box()

void plstream::box | ( | const char * | xopt,
|  | PLFLT | xtick,
|  | PLINT | nxsub,
|  | const char * | yopt,
|  | PLFLT | ytick,
|  | PLINT | nysub
| ) |  |

Definition at line 430 of file plstream.cc.

## ◆ box3()

void plstream::box3 | ( | const char * | xopt,
|  | const char * | xlabel,
|  | PLFLT | xtick,
|  | PLINT | nsubx,
|  | const char * | yopt,
|  | const char * | ylabel,
|  | PLFLT | ytick,
|  | PLINT | nsuby,
|  | const char * | zopt,
|  | const char * | zlabel,
|  | PLFLT | ztick,
|  | PLINT | nsubz
| ) |  |

Definition at line 442 of file plstream.cc.

## ◆ btime()

void plstream::btime | ( | PLINT & | year,
|  | PLINT & | month,
|  | PLINT & | day,
|  | PLINT & | hour,
|  | PLINT & | min,
|  | PLFLT & | sec,
|  | PLFLT | ctime
| ) |  |

Definition at line 454 of file plstream.cc.

## ◆ calc_world()

void plstream::calc_world | ( | PLFLT | rx,
|  | PLFLT | ry,
|  | PLFLT & | wx,
|  | PLFLT & | wy,
|  | PLINT & | window
| ) |  |

Definition at line 464 of file plstream.cc.

## ◆ clear()

void plstream::clear | ( | void |  | ) |

Definition at line 474 of file plstream.cc.

## ◆ ClearOpts()

void plstream::ClearOpts | ( | void |  | ) |

Definition at line 2397 of file plstream.cc.

## ◆ cmd()

void plstream::cmd | ( | PLINT | op,
|  | void * | ptr
| ) |  |

Definition at line 2482 of file plstream.cc.

## ◆ col()

void plstream::col | ( | PLcolor | c | ) |

Definition at line 492 of file plstream.cc.

## ◆ col0()

void plstream::col0 | ( | PLINT | icol0 | ) |

Definition at line 483 of file plstream.cc.

## ◆ col1()

void plstream::col1 | ( | PLFLT | c | ) |

Definition at line 501 of file plstream.cc.

## ◆ colorbar()

void plstream::colorbar | ( | PLFLT * | p_colorbar_width,
|  | PLFLT * | p_colorbar_height,
|  | PLINT | opt,
|  | PLINT | position,
|  | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | x_length,
|  | PLFLT | y_length,
|  | PLINT | bg_color,
|  | PLINT | bb_color,
|  | PLINT | bb_style,
|  | PLFLT | low_cap_color,
|  | PLFLT | high_cap_color,
|  | PLINT | cont_color,
|  | PLFLT | cont_width,
|  | PLINT | n_labels,
|  | PLINT * | label_opts,
|  | const char *const * | label,
|  | PLINT | n_axes,
|  | const char *const * | axis_opts,
|  | PLFLT * | ticks,
|  | PLINT * | sub_ticks,
|  | PLINT * | n_values,
|  | const PLFLT *const * | values
| ) |  |

Definition at line 1039 of file plstream.cc.

## ◆ configtime()

void plstream::configtime | ( | PLFLT | scale,
|  | PLFLT | offset1,
|  | PLFLT | offset2,
|  | PLINT | ccontrol,
|  | PLBOOL | ifbtime_offset,
|  | PLINT | year,
|  | PLINT | month,
|  | PLINT | day,
|  | PLINT | hour,
|  | PLINT | min,
|  | PLFLT | sec
| ) |  |

Definition at line 524 of file plstream.cc.

## ◆ cont()

void plstream::cont | ( | const PLFLT *const * | f,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | const PLFLT * | clevel,
|  | PLINT | nlevel,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 540 of file plstream.cc.

## ◆ cpstrm()

void plstream::cpstrm | ( | plstream & | pls,
|  | bool | flags
| ) |  |

Definition at line 569 of file plstream.cc.

## ◆ ctime()

void plstream::ctime | ( | PLINT | year,
|  | PLINT | month,
|  | PLINT | day,
|  | PLINT | hour,
|  | PLINT | min,
|  | PLFLT | sec,
|  | PLFLT & | ctime
| ) |  |

Definition at line 577 of file plstream.cc.

## ◆ did2pc()

void plstream::did2pc | ( | PLFLT & | xmin,
|  | PLFLT & | ymin,
|  | PLFLT & | xmax,
|  | PLFLT & | ymax
| ) |  |

Definition at line 588 of file plstream.cc.

## ◆ dip2dc()

void plstream::dip2dc | ( | PLFLT & | xmin,
|  | PLFLT & | ymin,
|  | PLFLT & | xmax,
|  | PLFLT & | ymax
| ) |  |

Definition at line 598 of file plstream.cc.

## ◆ env()

void plstream::env | ( | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLINT | just,
|  | PLINT | axis
| ) |  |

Definition at line 628 of file plstream.cc.

## ◆ env0()

void plstream::env0 | ( | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLINT | just,
|  | PLINT | axis
| ) |  |

Definition at line 639 of file plstream.cc.

## ◆ eop()

void plstream::eop | ( | void |  | ) |

Definition at line 649 of file plstream.cc.

## ◆ errx()

void plstream::errx | ( | PLINT | n,
|  | const PLFLT * | xmin,
|  | const PLFLT * | xmax,
|  | const PLFLT * | y
| ) |  |

Definition at line 658 of file plstream.cc.

## ◆ erry()

void plstream::erry | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | ymin,
|  | const PLFLT * | ymax
| ) |  |

Definition at line 667 of file plstream.cc.

## ◆ f2eval()

PLFLT plstream::f2eval | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | plf2eval_data
| ) |  |

Definition at line 2376 of file plstream.cc.

## ◆ f2eval2()

PLFLT plstream::f2eval2 | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | plf2eval_data
| ) |  |

Definition at line 2366 of file plstream.cc.

## ◆ f2evalr()

PLFLT plstream::f2evalr | ( | PLINT | ix,
|  | PLINT | iy,
|  | PLPointer | plf2eval_data
| ) |  |

Definition at line 2386 of file plstream.cc.

## ◆ famadv()

void plstream::famadv | ( | void |  | ) |

Definition at line 676 of file plstream.cc.

## ◆ fcont()

void plstream::fcont | ( | PLFLT(*)(PLINT, PLINT, PLPointer) | f2eval,
|  | PLPointer | f2eval_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | kx,
|  | PLINT | lx,
|  | PLINT | ky,
|  | PLINT | ly,
|  | const PLFLT * | clevel,
|  | PLINT | nlevel,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 554 of file plstream.cc.

## ◆ fill()

void plstream::fill | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y
| ) |  |

Definition at line 685 of file plstream.cc.

## ◆ fill3()

void plstream::fill3 | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z
| ) |  |

Definition at line 694 of file plstream.cc.

## ◆ FindCommand()

char * plstream::FindCommand | ( | char * | fn | ) |

Definition at line 2500 of file plstream.cc.

## ◆ FindName()

PLINT plstream::FindName | ( | char * | p | ) |

Definition at line 2491 of file plstream.cc.

## ◆ flush()

void plstream::flush | ( | void |  | ) |

Definition at line 703 of file plstream.cc.

## ◆ font()

void plstream::font | ( | PLINT | ifont | ) |

Definition at line 712 of file plstream.cc.

## ◆ fontld()

void plstream::fontld | ( | PLINT | fnt | ) |

Definition at line 721 of file plstream.cc.

## ◆ Free2dGrid()

void plstream::Free2dGrid | ( | PLFLT ** | f,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 2559 of file plstream.cc.

## ◆ fshade()

void plstream::fshade | ( | PLFLT(*)(PLINT, PLINT, PLPointer) | f2eval,
|  | PLPointer | f2eval_data,
|  | PLFLT(*)(PLINT, PLINT, PLPointer) | c2eval,
|  | PLPointer | c2eval_data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | left,
|  | PLFLT | right,
|  | PLFLT | bottom,
|  | PLFLT | top,
|  | PLFLT | shade_min,
|  | PLFLT | shade_max,
|  | PLINT | sh_cmap,
|  | PLFLT | sh_color,
|  | PLFLT | sh_width,
|  | PLINT | min_color,
|  | PLFLT | min_width,
|  | PLINT | max_color,
|  | PLFLT | max_width,
|  | PLFILL_callback | fill,
|  | bool | rectangular,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 1852 of file plstream.cc.

## ◆ gchr()

void plstream::gchr | ( | PLFLT & | p_def,
|  | PLFLT & | p_ht
| ) |  |

Definition at line 730 of file plstream.cc.

## ◆ gcmap1_range()

void plstream::gcmap1_range | ( | PLFLT & | min_color,
|  | PLFLT & | max_color
| ) |  |

Definition at line 1436 of file plstream.cc.

## ◆ gcol0()

void plstream::gcol0 | ( | PLINT | icol0,
|  | PLINT & | r,
|  | PLINT & | g,
|  | PLINT & | b
| ) |  |

Definition at line 739 of file plstream.cc.

## ◆ gcol0a()

void plstream::gcol0a | ( | PLINT | icol0,
|  | PLINT & | r,
|  | PLINT & | g,
|  | PLINT & | b,
|  | PLFLT & | a
| ) |  |

Definition at line 748 of file plstream.cc.

## ◆ gcolbg()

void plstream::gcolbg | ( | PLINT & | r,
|  | PLINT & | g,
|  | PLINT & | b
| ) |  |

Definition at line 757 of file plstream.cc.

## ◆ gcolbga()

void plstream::gcolbga | ( | PLINT & | r,
|  | PLINT & | g,
|  | PLINT & | b,
|  | PLFLT & | a
| ) |  |

Definition at line 766 of file plstream.cc.

## ◆ gcompression()

void plstream::gcompression | ( | PLINT & | compression | ) |

Definition at line 775 of file plstream.cc.

## ◆ gdev()

void plstream::gdev | ( | char * | devname | ) |

Definition at line 1606 of file plstream.cc.

## ◆ gdidev()

void plstream::gdidev | ( | PLFLT & | mar,
|  | PLFLT & | aspect,
|  | PLFLT & | jx,
|  | PLFLT & | jy
| ) |  |

Definition at line 784 of file plstream.cc.

## ◆ gdiori()

void plstream::gdiori | ( | PLFLT & | rot | ) |

Definition at line 793 of file plstream.cc.

## ◆ gdiplt()

void plstream::gdiplt | ( | PLFLT & | xmin,
|  | PLFLT & | ymin,
|  | PLFLT & | xmax,
|  | PLFLT & | ymax
| ) |  |

Definition at line 802 of file plstream.cc.

## ◆ gesc()

void plstream::gesc | ( | char * | p_esc | ) |

Definition at line 2473 of file plstream.cc.

## ◆ GetCursor()

PLINT plstream::GetCursor | ( | PLGraphicsIn * | plg | ) |

Definition at line 2595 of file plstream.cc.

## ◆ GetFlt()

PLFLT plstream::GetFlt | ( | char * | s | ) |

Definition at line 2529 of file plstream.cc.

## ◆ GetInt()

PLINT plstream::GetInt | ( | char * | s | ) |

Definition at line 2520 of file plstream.cc.

## ◆ GetName()

void plstream::GetName | ( | char * | dir,
|  | char * | subdir,
|  | char * | filename,
|  | char ** | filespec
| ) |  |

Definition at line 2510 of file plstream.cc.

## ◆ gfam()

void plstream::gfam | ( | PLINT & | fam,
|  | PLINT & | num,
|  | PLINT & | bmax
| ) |  |

Definition at line 820 of file plstream.cc.

## ◆ gfci()

void plstream::gfci | ( | PLUNICODE & | pfci | ) |

Definition at line 811 of file plstream.cc.

## ◆ gfile()

void plstream::gfile | ( | FILE ** | p_file | ) |

Definition at line 2454 of file plstream.cc.

## ◆ gFileDevs()

void plstream::gFileDevs | ( | const char *** | p_menustr,
|  | const char *** | p_devname,
|  | int * | p_ndev
| ) |  |

Definition at line 2295 of file plstream.cc.

## ◆ gfnam()

void plstream::gfnam | ( | char * | fnam | ) |

Definition at line 829 of file plstream.cc.

## ◆ gfont()

void plstream::gfont | ( | PLINT & | family,
|  | PLINT & | style,
|  | PLINT & | weight
| ) |  |

Definition at line 838 of file plstream.cc.

## ◆ glevel()

void plstream::glevel | ( | PLINT & | p_level | ) |

Definition at line 847 of file plstream.cc.

## ◆ gpage()

void plstream::gpage | ( | PLFLT & | xp,
|  | PLFLT & | yp,
|  | PLINT & | xleng,
|  | PLINT & | yleng,
|  | PLINT & | xoff,
|  | PLINT & | yoff
| ) |  |

Definition at line 856 of file plstream.cc.

## ◆ gra()

void plstream::gra | ( | void |  | ) |

Definition at line 866 of file plstream.cc.

## ◆ gradient()

void plstream::gradient | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | PLFLT | angle
| ) |  |

Definition at line 876 of file plstream.cc.

## ◆ griddata()

void plstream::griddata | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | PLINT | npts,
|  | const PLFLT * | xg,
|  | PLINT | nptsx,
|  | const PLFLT * | yg,
|  | PLINT | nptsy,
|  | PLFLT ** | zg,
|  | PLINT | type,
|  | PLFLT | data
| ) |  |

Definition at line 884 of file plstream.cc.

## ◆ gspa()

void plstream::gspa | ( | PLFLT & | xmin,
|  | PLFLT & | xmax,
|  | PLFLT & | ymin,
|  | PLFLT & | ymax
| ) |  |

Definition at line 895 of file plstream.cc.

## ◆ gver()

void plstream::gver | ( | char * | p_ver | ) |

Definition at line 915 of file plstream.cc.

## ◆ gvpd()

void plstream::gvpd | ( | PLFLT & | xmin,
|  | PLFLT & | xmax,
|  | PLFLT & | ymin,
|  | PLFLT & | ymax
| ) |  |

Definition at line 924 of file plstream.cc.

## ◆ gvpw()

void plstream::gvpw | ( | PLFLT & | xmin,
|  | PLFLT & | xmax,
|  | PLFLT & | ymin,
|  | PLFLT & | ymax
| ) |  |

Definition at line 933 of file plstream.cc.

## ◆ gxax()

void plstream::gxax | ( | PLINT & | digmax,
|  | PLINT & | digits
| ) |  |

Definition at line 942 of file plstream.cc.

## ◆ gyax()

void plstream::gyax | ( | PLINT & | digmax,
|  | PLINT & | digits
| ) |  |

Definition at line 951 of file plstream.cc.

## ◆ gzax()

void plstream::gzax | ( | PLINT & | digmax,
|  | PLINT & | digits
| ) |  |

Definition at line 960 of file plstream.cc.

## ◆ hist()

void plstream::hist | ( | PLINT | n,
|  | const PLFLT * | data,
|  | PLFLT | datmin,
|  | PLFLT | datmax,
|  | PLINT | nbin,
|  | PLINT | oldwin
| ) |  |

Definition at line 969 of file plstream.cc.

## ◆ hlsrgb()

void plstream::hlsrgb | ( | PLFLT | h,
|  | PLFLT | l,
|  | PLFLT | s,
|  | PLFLT * | p_r,
|  | PLFLT * | p_g,
|  | PLFLT * | p_b
| ) |  |

Definition at line 2577 of file plstream.cc.

## ◆ image()

void plstream::image | ( | const PLFLT *const * | data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | Dxmin,
|  | PLFLT | Dxmax,
|  | PLFLT | Dymin,
|  | PLFLT | Dymax
| ) |  |

Definition at line 2085 of file plstream.cc.

## ◆ imagefr()

void plstream::imagefr | ( | const PLFLT *const * | data,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | zmin,
|  | PLFLT | zmax,
|  | PLFLT | valuemin,
|  | PLFLT | valuemax,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 2098 of file plstream.cc.

## ◆ init()

void plstream::init | ( | void |  | ) |

Definition at line 981 of file plstream.cc.

## ◆ join()

void plstream::join | ( | PLFLT | x1,
|  | PLFLT | y1,
|  | PLFLT | x2,
|  | PLFLT | y2
| ) |  |

Definition at line 995 of file plstream.cc.

## ◆ lab()

void plstream::lab | ( | const char * | xlabel,
|  | const char * | ylabel,
|  | const char * | tlabel
| ) |  |

Definition at line 1004 of file plstream.cc.

## ◆ legend()

void plstream::legend | ( | PLFLT * | p_legend_width,
|  | PLFLT * | p_legend_height,
|  | PLINT | opt,
|  | PLINT | position,
|  | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | plot_width,
|  | PLINT | bg_color,
|  | PLINT | bb_color,
|  | PLINT | bb_style,
|  | PLINT | nrow,
|  | PLINT | ncolumn,
|  | PLINT | nlegend,
|  | const PLINT * | opt_array,
|  | PLFLT | text_offset,
|  | PLFLT | text_scale,
|  | PLFLT | text_spacing,
|  | PLFLT | text_justification,
|  | const PLINT * | text_colors,
|  | const char *const * | text,
|  | const PLINT * | box_colors,
|  | const PLINT * | box_patterns,
|  | const PLFLT * | box_scales,
|  | const PLFLT * | box_line_widths,
|  | const PLINT * | line_colors,
|  | const PLINT * | line_styles,
|  | const PLFLT * | line_widths,
|  | const PLINT * | symbol_colors,
|  | const PLFLT * | symbol_scales,
|  | const PLINT * | symbol_numbers,
|  | const char *const * | symbols
| ) |  |

Definition at line 1014 of file plstream.cc.

## ◆ lightsource()

void plstream::lightsource | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | z
| ) |  |

Definition at line 1062 of file plstream.cc.

## ◆ line()

void plstream::line | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y
| ) |  |

Definition at line 1071 of file plstream.cc.

## ◆ line3()

void plstream::line3 | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z
| ) |  |

Definition at line 1080 of file plstream.cc.

## ◆ lsty()

void plstream::lsty | ( | PLINT | lin | ) |

Definition at line 1089 of file plstream.cc.

## ◆ map()

void plstream::map | ( | PLMAPFORM_callback | mapform,
|  | const char * | name,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy
| ) |  |

Definition at line 1098 of file plstream.cc.

## ◆ mapfill()

void plstream::mapfill | ( | PLMAPFORM_callback | mapform,
|  | const char * | name,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy,
|  | const PLINT * | plotentries,
|  | PLINT | nplotentries
| ) |  |

Definition at line 1144 of file plstream.cc.

## ◆ mapline()

void plstream::mapline | ( | PLMAPFORM_callback | mapform,
|  | const char * | name,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy,
|  | const PLINT * | plotentries,
|  | PLINT | nplotentries
| ) |  |

Definition at line 1109 of file plstream.cc.

## ◆ mapstring()

void plstream::mapstring | ( | PLMAPFORM_callback | mapform,
|  | const char * | name,
|  | const char * | string,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy,
|  | const PLINT * | plotentries,
|  | PLINT | nplotentries
| ) |  |

Definition at line 1120 of file plstream.cc.

## ◆ maptex()

void plstream::maptex | ( | PLMAPFORM_callback | mapform,
|  | const char * | name,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | PLFLT | just,
|  | const char * | text,
|  | PLFLT | minx,
|  | PLFLT | maxx,
|  | PLFLT | miny,
|  | PLFLT | maxy,
|  | PLINT | plotentry
| ) |  |

Definition at line 1132 of file plstream.cc.

## ◆ MergeOpts()

PLINT plstream::MergeOpts | ( | PLOptionTable * | options,
|  | const char * | name,
|  | const char ** | notes
| ) |  |

Definition at line 2415 of file plstream.cc.

## ◆ meridians()

void plstream::meridians | ( | PLMAPFORM_callback | mapform,
|  | PLFLT | dlong,
|  | PLFLT | dlat,
|  | PLFLT | minlong,
|  | PLFLT | maxlong,
|  | PLFLT | minlat,
|  | PLFLT | maxlat
| ) |  |

Definition at line 1155 of file plstream.cc.

## ◆ mesh()

void plstream::mesh | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT *const * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt
| ) |  |

Definition at line 1168 of file plstream.cc.

## ◆ meshc()

void plstream::meshc | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT *const * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | const PLFLT * | clevel,
|  | PLINT | nlevel
| ) |  |

Definition at line 1178 of file plstream.cc.

## ◆ MinMax2dGrid()

void plstream::MinMax2dGrid | ( | PLFLT_MATRIX | f,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT * | fmax,
|  | PLFLT * | fmin
| ) |  |

Definition at line 2567 of file plstream.cc.

## ◆ mtex()

void plstream::mtex | ( | const char * | side,
|  | PLFLT | disp,
|  | PLFLT | pos,
|  | PLFLT | just,
|  | const char * | text
| ) |  |

Definition at line 1197 of file plstream.cc.

## ◆ mtex3()

void plstream::mtex3 | ( | const char * | side,
|  | PLFLT | disp,
|  | PLFLT | pos,
|  | PLFLT | just,
|  | const char * | text
| ) |  |

Definition at line 1207 of file plstream.cc.

## ◆ operator=()

plstream& plstream::operator= | ( | const plstream & |  | ) |
| private

## ◆ OptUsage()

void plstream::OptUsage | ( | void |  | ) |

Definition at line 2443 of file plstream.cc.

## ◆ parseopts()

PLINT plstream::parseopts | ( | int * | p_argc,
|  | char ** | argv,
|  | PLINT | mode
| ) |  |

Definition at line 1279 of file plstream.cc.

## ◆ pat()

void plstream::pat | ( | PLINT | nlin,
|  | const PLINT * | inc,
|  | const PLINT * | del
| ) |  |

Definition at line 1288 of file plstream.cc.

## ◆ path()

void plstream::path | ( | PLINT | n,
|  | PLFLT | x1,
|  | PLFLT | y1,
|  | PLFLT | x2,
|  | PLFLT | y2
| ) |  |

Definition at line 1297 of file plstream.cc.

## ◆ plot3d()

void plstream::plot3d | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT *const * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | bool | side
| ) |  |

Definition at line 1243 of file plstream.cc.

## ◆ plot3dc()

void plstream::plot3dc | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT *const * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | const PLFLT * | clevel,
|  | PLINT | nlevel
| ) |  |

Definition at line 1253 of file plstream.cc.

## ◆ plot3dcl()

void plstream::plot3dcl | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT *const * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | const PLFLT * | clevel,
|  | PLINT | nlevel,
|  | PLINT | ixstart,
|  | PLINT | ixn,
|  | const PLINT * | indexymin,
|  | const PLINT * | indexymax
| ) |  |

Definition at line 1265 of file plstream.cc.

## ◆ poin()

void plstream::poin | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | PLINT | code
| ) |  |

Definition at line 1306 of file plstream.cc.

## ◆ poin3()

void plstream::poin3 | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | PLINT | code
| ) |  |

Definition at line 1315 of file plstream.cc.

## ◆ poly3()

void plstream::poly3 | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | const bool * | draw,
|  | bool | ifcc
| ) |  |

Definition at line 1324 of file plstream.cc.

## ◆ prec()

void plstream::prec | ( | PLINT | setp,
|  | PLINT | prec
| ) |  |

Definition at line 1342 of file plstream.cc.

## ◆ psty()

void plstream::psty | ( | PLINT | patt | ) |

Definition at line 1351 of file plstream.cc.

## ◆ ptex()

void plstream::ptex | ( | PLFLT | x,
|  | PLFLT | y,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | PLFLT | just,
|  | const char * | text
| ) |  |

Definition at line 1360 of file plstream.cc.

## ◆ ptex3()

void plstream::ptex3 | ( | PLFLT | wx,
|  | PLFLT | wy,
|  | PLFLT | wz,
|  | PLFLT | dx,
|  | PLFLT | dy,
|  | PLFLT | dz,
|  | PLFLT | sx,
|  | PLFLT | sy,
|  | PLFLT | sz,
|  | PLFLT | just,
|  | const char * | text
| ) |  |

Definition at line 1370 of file plstream.cc.

## ◆ randd()

PLFLT plstream::randd | ( | void |  | ) |

Definition at line 2284 of file plstream.cc.

## ◆ replot()

void plstream::replot | ( | void |  | ) |

Definition at line 1391 of file plstream.cc.

## ◆ ResetOpts()

void plstream::ResetOpts | ( | void |  | ) |

Definition at line 2406 of file plstream.cc.

## ◆ rgbhls()

void plstream::rgbhls | ( | PLFLT | r,
|  | PLFLT | g,
|  | PLFLT | b,
|  | PLFLT * | p_h,
|  | PLFLT * | p_l,
|  | PLFLT * | p_s
| ) |  |

Definition at line 2585 of file plstream.cc.

## ◆ sbopH()

void plstream::sbopH | ( | void(*)(void *, int *) | handler,
|  | void * | handlier_data
| ) |  |

## ◆ schr()

void plstream::schr | ( | PLFLT | def,
|  | PLFLT | scale
| ) |  |

Definition at line 1400 of file plstream.cc.

## ◆ scmap0()

void plstream::scmap0 | ( | const PLINT * | r,
|  | const PLINT * | g,
|  | const PLINT * | b,
|  | PLINT | ncol0
| ) |  |

Definition at line 1445 of file plstream.cc.

## ◆ scmap0a()

void plstream::scmap0a | ( | const PLINT * | r,
|  | const PLINT * | g,
|  | const PLINT * | b,
|  | const PLFLT * | a,
|  | PLINT | ncol0
| ) |  |

Definition at line 1454 of file plstream.cc.

## ◆ scmap0n()

void plstream::scmap0n | ( | PLINT | ncol0 | ) |

Definition at line 1409 of file plstream.cc.

## ◆ scmap1()

void plstream::scmap1 | ( | const PLINT * | r,
|  | const PLINT * | g,
|  | const PLINT * | b,
|  | PLINT | ncol1
| ) |  |

Definition at line 1463 of file plstream.cc.

## ◆ scmap1_range()

void plstream::scmap1_range | ( | PLFLT | min_color,
|  | PLFLT | max_color
| ) |  |

Definition at line 1427 of file plstream.cc.

## ◆ scmap1a()

void plstream::scmap1a | ( | const PLINT * | r,
|  | const PLINT * | g,
|  | const PLINT * | b,
|  | const PLFLT * | a,
|  | PLINT | ncol1
| ) |  |

Definition at line 1472 of file plstream.cc.

## ◆ scmap1l()

void plstream::scmap1l | ( | bool | itype,
|  | PLINT | npts,
|  | const PLFLT * | intensity,
|  | const PLFLT * | coord1,
|  | const PLFLT * | coord2,
|  | const PLFLT * | coord3,
|  | const bool * | alt_hue_path = `NULL`
| ) |  |

Definition at line 1482 of file plstream.cc.

## ◆ scmap1la()

void plstream::scmap1la | ( | bool | itype,
|  | PLINT | npts,
|  | const PLFLT * | intensity,
|  | const PLFLT * | coord1,
|  | const PLFLT * | coord2,
|  | const PLFLT * | coord3,
|  | const PLFLT * | a,
|  | const bool * | alt_hue_path = `NULL`
| ) |  |

Definition at line 1508 of file plstream.cc.

## ◆ scmap1n()

void plstream::scmap1n | ( | PLINT | ncol1 | ) |

Definition at line 1418 of file plstream.cc.

## ◆ scol0()

void plstream::scol0 | ( | PLINT | icol0,
|  | PLINT | r,
|  | PLINT | g,
|  | PLINT | b
| ) |  |

Definition at line 1543 of file plstream.cc.

## ◆ scol0a()

void plstream::scol0a | ( | PLINT | icol0,
|  | PLINT | r,
|  | PLINT | g,
|  | PLINT | b,
|  | PLFLT | a
| ) |  |

Definition at line 1552 of file plstream.cc.

## ◆ scolbg()

void plstream::scolbg | ( | PLINT | r,
|  | PLINT | g,
|  | PLINT | b
| ) |  |

Definition at line 1561 of file plstream.cc.

## ◆ scolbga()

void plstream::scolbga | ( | PLINT | r,
|  | PLINT | g,
|  | PLINT | b,
|  | PLFLT | a
| ) |  |

Definition at line 1570 of file plstream.cc.

## ◆ scolor()

void plstream::scolor | ( | PLINT | color | ) |

Definition at line 1579 of file plstream.cc.

## ◆ scompression()

void plstream::scompression | ( | PLINT | compression | ) |

Definition at line 1588 of file plstream.cc.

## ◆ sdev()

void plstream::sdev | ( | const char * | devname | ) |

Definition at line 1597 of file plstream.cc.

## ◆ sdevdata()

void plstream::sdevdata | ( | void * | data | ) |

Definition at line 1718 of file plstream.cc.

## ◆ sdidev()

void plstream::sdidev | ( | PLFLT | mar,
|  | PLFLT | aspect,
|  | PLFLT | jx,
|  | PLFLT | jy
| ) |  |

Definition at line 1616 of file plstream.cc.

## ◆ sdimap()

void plstream::sdimap | ( | PLINT | dimxmin,
|  | PLINT | dimxmax,
|  | PLINT | dimymin,
|  | PLINT | dimymax,
|  | PLFLT | dimxpmm,
|  | PLFLT | dimypmm
| ) |  |

Definition at line 1625 of file plstream.cc.

## ◆ sdiori()

void plstream::sdiori | ( | PLFLT | rot | ) |

Definition at line 1636 of file plstream.cc.

## ◆ sdiplt()

void plstream::sdiplt | ( | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | xmax,
|  | PLFLT | ymax
| ) |  |

Definition at line 1645 of file plstream.cc.

## ◆ sdiplz()

void plstream::sdiplz | ( | PLFLT | xmin,
|  | PLFLT | ymin,
|  | PLFLT | xmax,
|  | PLFLT | ymax
| ) |  |

Definition at line 1654 of file plstream.cc.

## ◆ seed()

void plstream::seed | ( | unsigned int | s | ) |

Definition at line 2275 of file plstream.cc.

## ◆ seopH()

void plstream::seopH | ( | void(*)(void *, int *) | handler,
|  | void * | handlier_data
| ) |  |

## ◆ sError()

void plstream::sError | ( | PLINT * | errcode,
|  | char * | errmsg
| ) |  |

Definition at line 2315 of file plstream.cc.

## ◆ sesc()

void plstream::sesc | ( | char | esc | ) |

Definition at line 1663 of file plstream.cc.

## ◆ set_stream()

virtual void plstream::set_stream | ( | void |  | ) |
| inlineprotectedvirtual

Reimplemented in wxPLplotstream.

Definition at line 133 of file plstream.h.

## ◆ setcontlabelformat()

void plstream::setcontlabelformat | ( | PLINT | lexp,
|  | PLINT | sigdig
| ) |  |

Definition at line 1682 of file plstream.cc.

## ◆ setcontlabelparam()

void plstream::setcontlabelparam | ( | PLFLT | offset,
|  | PLFLT | size,
|  | PLFLT | spacing,
|  | PLINT | active
| ) |  |

Definition at line 1672 of file plstream.cc.

## ◆ setopt()

PLINT plstream::setopt | ( | const char * | opt,
|  | const char * | optarg
| ) |  |

Definition at line 2434 of file plstream.cc.

## ◆ SetOpt()

int plstream::SetOpt | ( | const char * | opt,
|  | const char * | optarg
| ) |  |

## ◆ SetUsage()

void plstream::SetUsage | ( | char * | program_string,
|  | char * | usage_string
| ) |  |

Definition at line 2425 of file plstream.cc.

## ◆ sexit()

void plstream::sexit | ( | int(*)(const char *) | handler | ) |

Definition at line 2324 of file plstream.cc.

## ◆ sfam()

void plstream::sfam | ( | PLINT | fam,
|  | PLINT | num,
|  | PLINT | bmax
| ) |  |

Definition at line 1691 of file plstream.cc.

## ◆ sfci()

void plstream::sfci | ( | PLUNICODE | fci | ) |

Definition at line 1700 of file plstream.cc.

## ◆ sfile()

void plstream::sfile | ( | FILE * | file | ) |

Definition at line 2463 of file plstream.cc.

## ◆ sfnam()

void plstream::sfnam | ( | const char * | fnam | ) |

Definition at line 1709 of file plstream.cc.

## ◆ sfont()

void plstream::sfont | ( | PLINT | family,
|  | PLINT | style,
|  | PLINT | weight
| ) |  |

Definition at line 1727 of file plstream.cc.

## ◆ shade() [1/2]

void plstream::shade | ( | const PLFLT *const * | a,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLDEFINED_callback | defined,
|  | PLFLT | left,
|  | PLFLT | right,
|  | PLFLT | bottom,
|  | PLFLT | top,
|  | PLFLT | shade_min,
|  | PLFLT | shade_max,
|  | PLINT | sh_cmap,
|  | PLFLT | sh_color,
|  | PLFLT | sh_width,
|  | PLINT | min_color,
|  | PLFLT | min_width,
|  | PLINT | max_color,
|  | PLFLT | max_width,
|  | PLFILL_callback | fill,
|  | bool | rectangular,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 1737 of file plstream.cc.

## ◆ shade() [2/2]

void plstream::shade | ( | Contourable_Data & | d,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | shade_min,
|  | PLFLT | shade_max,
|  | PLINT | sh_cmap,
|  | PLFLT | sh_color,
|  | PLFLT | sh_width,
|  | PLINT | min_color,
|  | PLFLT | min_width,
|  | PLINT | max_color,
|  | PLFLT | max_width,
|  | bool | rectangular,
|  | Coord_Xformer * | pcxf
| ) |  |

Definition at line 1773 of file plstream.cc.

## ◆ shades()

void plstream::shades | ( | const PLFLT *const * | a,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLDEFINED_callback | defined,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | const PLFLT * | clevel,
|  | PLINT | nlevel,
|  | PLFLT | fill_width,
|  | PLINT | cont_color,
|  | PLFLT | cont_width,
|  | PLFILL_callback | fill,
|  | bool | rectangular,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 1757 of file plstream.cc.

## ◆ sKeyEH()

void plstream::sKeyEH | ( | void(*)(PLGraphicsIn *, void *, int *) | KeyEH,
|  | void * | KeyEH_data
| ) |  |

Definition at line 2305 of file plstream.cc.

## ◆ slabelfunc()

void plstream::slabelfunc | ( | PLLABEL_FUNC_callback | label_func,
|  | PLPointer | label_data
| ) |  |

Definition at line 1878 of file plstream.cc.

## ◆ smaj()

void plstream::smaj | ( | PLFLT | def,
|  | PLFLT | scale
| ) |  |

Definition at line 1887 of file plstream.cc.

## ◆ smem()

void plstream::smem | ( | PLINT | maxx,
|  | PLINT | maxy,
|  | void * | plotmem
| ) |  |

Definition at line 1896 of file plstream.cc.

## ◆ smema()

void plstream::smema | ( | PLINT | maxx,
|  | PLINT | maxy,
|  | void * | plotmem
| ) |  |

Definition at line 1905 of file plstream.cc.

## ◆ smin()

void plstream::smin | ( | PLFLT | def,
|  | PLFLT | scale
| ) |  |

Definition at line 1914 of file plstream.cc.

## ◆ sori()

void plstream::sori | ( | PLINT | ori | ) |

Definition at line 1923 of file plstream.cc.

## ◆ spage()

void plstream::spage | ( | PLFLT | xp,
|  | PLFLT | yp,
|  | PLINT | xleng,
|  | PLINT | yleng,
|  | PLINT | xoff,
|  | PLINT | yoff
| ) |  |

Definition at line 1932 of file plstream.cc.

## ◆ spal0()

void plstream::spal0 | ( | const char * | filename | ) |

Definition at line 1942 of file plstream.cc.

## ◆ spal1()

void plstream::spal1 | ( | const char * | filename,
|  | bool | interpolate = `true`
| ) |  |

Definition at line 1951 of file plstream.cc.

## ◆ spause()

void plstream::spause | ( | bool | pause | ) |

Definition at line 1960 of file plstream.cc.

## ◆ sstrm()

void plstream::sstrm | ( | PLINT | strm | ) |

Definition at line 1969 of file plstream.cc.

## ◆ ssub()

void plstream::ssub | ( | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 1978 of file plstream.cc.

## ◆ ssym()

void plstream::ssym | ( | PLFLT | def,
|  | PLFLT | scale
| ) |  |

Definition at line 1987 of file plstream.cc.

## ◆ star()

void plstream::star | ( | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 1996 of file plstream.cc.

## ◆ start()

void plstream::start | ( | const char * | devname,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 2005 of file plstream.cc.

## ◆ Static2dGrid()

void plstream::Static2dGrid | ( | PLFLT_NC_MATRIX | zIliffe,
|  | PLFLT_VECTOR | zStatic,
|  | PLINT | nx,
|  | PLINT | ny
| ) |  |

Definition at line 2540 of file plstream.cc.

## ◆ stransform()

void plstream::stransform | ( | PLTRANSFORM_callback | coordinate_transform,
|  | PLPointer | coordinate_transform_data
| ) |  |

Definition at line 2014 of file plstream.cc.

## ◆ string()

void plstream::string | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const char * | string
| ) |  |

Definition at line 2027 of file plstream.cc.

## ◆ string3()

void plstream::string3 | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT * | z,
|  | const char * | string
| ) |  |

Definition at line 2039 of file plstream.cc.

## ◆ stripa()

void plstream::stripa | ( | PLINT | id,
|  | PLINT | pen,
|  | PLFLT | x,
|  | PLFLT | y
| ) |  |

Definition at line 2066 of file plstream.cc.

## ◆ stripc()

void plstream::stripc | ( | PLINT * | id,
|  | const char * | xspec,
|  | const char * | yspec,
|  | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | xjump,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | xlpos,
|  | PLFLT | ylpos,
|  | bool | y_ascl,
|  | bool | acc,
|  | PLINT | colbox,
|  | PLINT | collab,
|  | const PLINT | colline[],
|  | const PLINT | styline[],
|  | const char * | legline[],
|  | const char * | labx,
|  | const char * | laby,
|  | const char * | labtop
| ) |  |

Definition at line 2047 of file plstream.cc.

## ◆ stripd()

void plstream::stripd | ( | PLINT | id | ) |

Definition at line 2075 of file plstream.cc.

## ◆ styl()

void plstream::styl | ( | PLINT | nms,
|  | const PLINT * | mark,
|  | const PLINT * | space
| ) |  |

Definition at line 2111 of file plstream.cc.

## ◆ surf3d()

void plstream::surf3d | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT *const * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | const PLFLT * | clevel,
|  | PLINT | nlevel
| ) |  |

Definition at line 1217 of file plstream.cc.

## ◆ surf3dl()

void plstream::surf3dl | ( | const PLFLT * | x,
|  | const PLFLT * | y,
|  | const PLFLT *const * | z,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLINT | opt,
|  | const PLFLT * | clevel,
|  | PLINT | nlevel,
|  | PLINT | ixstart,
|  | PLINT | ixn,
|  | const PLINT * | indexymin,
|  | const PLINT * | indexymax
| ) |  |

Definition at line 1229 of file plstream.cc.

## ◆ svect()

void plstream::svect | ( | const PLFLT * | arrow_x = `NULL`,
|  | const PLFLT * | arrow_y = `NULL`,
|  | PLINT | npts = `0`,
|  | bool | fill = `false`
| ) |  |

Definition at line 391 of file plstream.cc.

## ◆ svpa()

void plstream::svpa | ( | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax
| ) |  |

Definition at line 2120 of file plstream.cc.

## ◆ sxax()

void plstream::sxax | ( | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 2129 of file plstream.cc.

## ◆ sxwin()

void plstream::sxwin | ( | PLINT | window_id | ) |

Definition at line 2138 of file plstream.cc.

## ◆ syax()

void plstream::syax | ( | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 2147 of file plstream.cc.

## ◆ sym()

void plstream::sym | ( | PLINT | n,
|  | const PLFLT * | x,
|  | const PLFLT * | y,
|  | PLINT | code
| ) |  |

Definition at line 2156 of file plstream.cc.

## ◆ szax()

void plstream::szax | ( | PLINT | digmax,
|  | PLINT | digits
| ) |  |

Definition at line 2165 of file plstream.cc.

## ◆ text()

void plstream::text | ( | void |  | ) |

Definition at line 2174 of file plstream.cc.

## ◆ timefmt()

void plstream::timefmt | ( | const char * | fmt | ) |

Definition at line 2183 of file plstream.cc.

## ◆ translatecursor()

PLINT plstream::translatecursor | ( | PLGraphicsIn * | gin | ) |

Definition at line 1382 of file plstream.cc.

## ◆ vasp()

void plstream::vasp | ( | PLFLT | aspect | ) |

Definition at line 2193 of file plstream.cc.

## ◆ vect()

void plstream::vect | ( | const PLFLT *const * | u,
|  | const PLFLT *const * | v,
|  | PLINT | nx,
|  | PLINT | ny,
|  | PLFLT | scale,
|  | PLTRANSFORM_callback | pltr,
|  | PLPointer | pltr_data
| ) |  |

Definition at line 382 of file plstream.cc.

## ◆ vpas()

void plstream::vpas | ( | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax,
|  | PLFLT | aspect
| ) |  |

Definition at line 2203 of file plstream.cc.

## ◆ vpor()

void plstream::vpor | ( | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax
| ) |  |

Definition at line 2213 of file plstream.cc.

## ◆ vsta()

void plstream::vsta | ( | void |  | ) |

Definition at line 2223 of file plstream.cc.

## ◆ w3d()

void plstream::w3d | ( | PLFLT | basex,
|  | PLFLT | basey,
|  | PLFLT | height,
|  | PLFLT | xmin0,
|  | PLFLT | xmax0,
|  | PLFLT | ymin0,
|  | PLFLT | ymax0,
|  | PLFLT | zmin0,
|  | PLFLT | zmax0,
|  | PLFLT | alt,
|  | PLFLT | az
| ) |  |

Definition at line 2232 of file plstream.cc.

## ◆ width()

void plstream::width | ( | PLFLT | width | ) |

Definition at line 2244 of file plstream.cc.

## ◆ wind()

void plstream::wind | ( | PLFLT | xmin,
|  | PLFLT | xmax,
|  | PLFLT | ymin,
|  | PLFLT | ymax
| ) |  |

Definition at line 2253 of file plstream.cc.

## ◆ xormod()

void plstream::xormod | ( | bool | mode,
|  | bool * | status
| ) |  |

Definition at line 2262 of file plstream.cc.

## Member Data Documentation

## ◆ active_streams

PLINT plstream::active_streams = 0
| staticprivate

Definition at line 124 of file plstream.h.

## ◆ stream

PLINT plstream::stream
| private

Definition at line 122 of file plstream.h.

The documentation for this class was generated from the following files:

- plstream.h
- plstream.cc